import { AsyncDuckDB, DuckDBBundles, InstantiationProgressHandler, Logger } from '@duckdb/duckdb-wasm';
/**
 * Instantiate a DuckDB database using a provided bundle.
 *
 * @param bundles The DuckDB bundles
 * @param logger An optional logger
 * @param progress An optional installation progress callback.
 * @returns The DuckDB database
 */
export declare function instantiateWithBundles(bundles: DuckDBBundles, logger?: Logger, progress?: InstantiationProgressHandler): Promise<AsyncDuckDB>;
/**
 * Instantiate a DuckDB database using a bundle provided by the JsDelivr CDN.
 *
 * @param logger An optional logger.
 * @param progress An optional installation progress callback.
 * @returns The DuckDB database.
 */
export declare function instantiateWithJsDelivr(logger?: Logger, progress?: InstantiationProgressHandler): Promise<AsyncDuckDB>;
